/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrUnidentified;

import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class DsrUnidentifiedRecord extends UpdatableRecordImpl<DsrUnidentifiedRecord> implements Record3<String, Timestamp, Long> {

    private static final long serialVersionUID = 886796587;

    /**
     * Setter for <code>DSR_UNIDENTIFIED.IDDSR</code>.
     */
    public void setIddsr(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>DSR_UNIDENTIFIED.IDDSR</code>.
     */
    public String getIddsr() {
        return (String) get(0);
    }

    /**
     * Setter for <code>DSR_UNIDENTIFIED.INSERT_TIME</code>.
     */
    public void setInsertTime(Timestamp value) {
        set(1, value);
    }

    /**
     * Getter for <code>DSR_UNIDENTIFIED.INSERT_TIME</code>.
     */
    public Timestamp getInsertTime() {
        return (Timestamp) get(1);
    }

    /**
     * Setter for <code>DSR_UNIDENTIFIED.TOTAL_ROWS</code>.
     */
    public void setTotalRows(Long value) {
        set(2, value);
    }

    /**
     * Getter for <code>DSR_UNIDENTIFIED.TOTAL_ROWS</code>.
     */
    public Long getTotalRows() {
        return (Long) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<String, Timestamp, Long> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<String, Timestamp, Long> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field1() {
        return DsrUnidentified.DSR_UNIDENTIFIED.IDDSR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field2() {
        return DsrUnidentified.DSR_UNIDENTIFIED.INSERT_TIME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field3() {
        return DsrUnidentified.DSR_UNIDENTIFIED.TOTAL_ROWS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component1() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component2() {
        return getInsertTime();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component3() {
        return getTotalRows();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value1() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value2() {
        return getInsertTime();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value3() {
        return getTotalRows();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrUnidentifiedRecord value1(String value) {
        setIddsr(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrUnidentifiedRecord value2(Timestamp value) {
        setInsertTime(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrUnidentifiedRecord value3(Long value) {
        setTotalRows(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrUnidentifiedRecord values(String value1, Timestamp value2, Long value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached DsrUnidentifiedRecord
     */
    public DsrUnidentifiedRecord() {
        super(DsrUnidentified.DSR_UNIDENTIFIED);
    }

    /**
     * Create a detached, initialised DsrUnidentifiedRecord
     */
    public DsrUnidentifiedRecord(String iddsr, Timestamp insertTime, Long totalRows) {
        super(DsrUnidentified.DSR_UNIDENTIFIED);

        set(0, iddsr);
        set(1, insertTime);
        set(2, totalRows);
    }
}
